/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import (reference) '../styles.less';

.featured-jumbotron {
  background-color: black;

  & > .container {
    filter: 
      drop-shadow(0px 0px 12px black)
      drop-shadow(0px 0px 12px black);
  }

  & &-custom-tagline {
    margin-top: 12rem;
  }

  // Add shadow to tagline and logo.
  & &-custom-tagline,
  & &-logo {
    max-width: 34.5rem;
    margin: 0 auto;
  }

  & &-headline {
    margin-top: 2rem;
    margin-bottom: 4rem;
    color: @white;
    text-shadow: unset;
    font-family: inherit;
  }

  & &-headline,
  & &-custom-tagline {
    font-size: @font-size-xl;
    font-weight: 600;
    text-align: center;
  }
}

@media (min-width: @screen-sm-min) {
  .featured-jumbotron {
    & &-custom-tagline {
      // Align the tagline with the logo text.
      margin-top: 19rem;
      text-align: left;
    }

    & &-headline {
      margin-top: 4rem;
    }

    & &-headline,
    & &-custom-tagline {
      font-size: @font-size-xl;
    }
  }
}

@media (min-width: @screen-md-min) {
  .featured-jumbotron {
    & &-logo {
      max-width: unset;
    }

    & &-custom-tagline {
      margin-top: 24rem;
    }

    & &-headline,
    & &-custom-tagline {
      font-size: @font-size-2xl;
    }
  }
}

@media (min-width: @screen-lg-min) {
  .featured-jumbotron {
    // Enlarge the jumbotron on desktop.
    padding-top: 20rem;
    padding-bottom: 20rem;

    & &-custom-tagline {
      margin-top: 24rem;
    }

    & &-headline,
    & &-custom-tagline {
      font-size: @font-size-3xl;
    }
  }
}

.featured-section {
  padding-top: 10rem;
  padding-bottom: 10rem;
}
